<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css"
        integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI=" crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js"
        integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM=" crossorigin=""></script>
    <link rel="stylesheet" href="style.css">
    <title>bicing</title>
</head>

<body>
    <div id="map"></div>
    <script>
        fetch('bicing.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (dataJson) {
                let maxSlots = -1;
                sortedStations = dataJson.stations.sort((a, b) => b.bikes - a.bikes);
                for (const item of sortedStations) {
                    //ex 5.1.1
                    if (item.bikes > 3) {
                        console.log(item);
                    }
                    //ex 5.1.2.1
                    if (item.id == "33") {
                        console.log(item.streetName);
                    }
                    //ex 5.1.2.2
                    if (item.latitude == "41.398389") {
                        console.log(item.slots + " " + item.streetName);
                    }
                    //ex 5.1.2.3
                    if ((item.slots+item.bikes) > maxSlots) {
                        maxSlots = item.slots;
                    }
                    //ex 5.2
                    switch (true) {
                        case item.bikes > 10:
                            var circle = L.circle([item.latitude, item.longitude], {
                                color: 'green',
                                fillColor: 'green',
                                fillOpacity: 0.5,
                                radius: 50
                            }).addTo(map).bindPopup(item.streetName + ", " + item.streetNumber + "   Slots: " + (item.slots));
                            break;
                        case item.bikes > 3 && item.bikes < 10:
                            var circle = L.circle([item.latitude, item.longitude], {
                                color: 'yellow',
                                fillColor: 'yellow',
                                fillOpacity: 0.5,
                                radius: 50
                            }).addTo(map).bindPopup(item.streetName + ", " + item.streetNumber + "   Slots: " + (item.slots));
                            break;

                        default:
                            var circle = L.circle([item.latitude, item.longitude], {
                                color: 'red',
                                fillColor: 'red',
                                fillOpacity: 0.5,
                                radius: 50
                            }).addTo(map).bindPopup(item.streetName + ", " + item.streetNumber + "   Slots: " + (item.slots));
                            break;
                    }

                }
                console.log(maxSlots);
            })

        var map = L.map('map').setView([41.3887900, 2.1589900], 13);
        L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 19,
            attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
        }).addTo(map);
    </script>
</body>

</html>